DynamicJava Javadoc: Class ClassInfoCompiler.MembersVisitor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.interpreter
Class ClassInfoCompiler.MembersVisitor

    java.lang.Object
      |
      +--koala.dynamicjava.tree.visitor.VisitorObject
            |
            +--koala.dynamicjava.interpreter.ClassInfoCompiler.MembersVisitor

All Implemented Interfaces:
  Visitor

Enclosing class:
  ClassInfoCompiler

protected class ClassInfoCompiler.MembersVisitor
extends VisitorObject

To visit the members of a type declaration

Constructor Summary
`protected` | `ClassInfoCompiler.MembersVisitor()`

Method Summary
`protected boolean` | `isRedefinedMethod(MethodInfo m)` Whether the given method is a redefinition
`java.lang.Object` | `visit(ClassInitializer node)` Visits a ClassInitializer
`java.lang.Object` | `visit(FieldDeclaration node)` Visits a FieldDeclaration
`java.lang.Object` | `visit(InstanceInitializer node)` Visits a InstanceInitializer
`java.lang.Object` | `visit(MethodDeclaration node)` Visits a MethodDeclaration

Methods inherited from class koala.dynamicjava.tree.visitor.VisitorObject
`visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassInfoCompiler.MembersVisitor

    protected ClassInfoCompiler.MembersVisitor()

Method Detail

### visit

    public java.lang.Object visit(ClassInitializer node)

  Visits a ClassInitializer
  Overrides:
    `visit` in class `VisitorObject`
  Parameters:
    `node` - the node to visit

### visit

    public java.lang.Object visit(InstanceInitializer node)

  Visits a InstanceInitializer
  Overrides:
    `visit` in class `VisitorObject`
  Parameters:
    `node` - the node to visit

### visit

    public java.lang.Object visit(FieldDeclaration node)

  Visits a FieldDeclaration
  Overrides:
    `visit` in class `VisitorObject`
  Parameters:
    `node` - the node to visit

### visit

    public java.lang.Object visit(MethodDeclaration node)

  Visits a MethodDeclaration
  Overrides:
    `visit` in class `VisitorObject`
  Parameters:
    `node` - the node to visit

### isRedefinedMethod

    protected boolean isRedefinedMethod(MethodInfo m)

  Whether the given method is a redefinition

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.